Loading...
Searching...
No Matches
osmium::Tag Class Reference

`#include <tag.hpp>`

Inheritance diagram for osmium::Tag:
[legend]
Collaboration diagram for osmium::Tag:
[legend]

## Public Member Functions

| Tag (const Tag &)=delete
Tag & | operator= (const Tag &)=delete
| Tag (Tag &&)=delete
Tag & | operator= (Tag &&)=delete
| ~Tag () noexcept=default
const char * | key () const noexcept
const char * | value () const noexcept

## Static Public Attributes

static constexpr item_type | collection_type = item_type::tag_list

## Private Member Functions

unsigned char * | next () noexcept
const unsigned char * | next () const noexcept

## Static Private Member Functions

static unsigned char * | after_null (unsigned char *ptr) noexcept
static const unsigned char * | after_null (const unsigned char *ptr) noexcept

## Friends

template<typename TMember>
class | osmium::memory::CollectionIterator

## Constructor & Destructor Documentation

## Tag() [1/2]

osmium::Tag::Tag | ( | const Tag & |  | ) |

delete

## Tag() [2/2]

osmium::Tag::Tag | ( | Tag && |  | ) |

delete

## ~Tag()

osmium::Tag::~Tag | ( |  | ) |

defaultnoexcept

## Member Function Documentation

## after_null() [1/2]

const unsigned char * osmium::Tag::after_null | ( | const unsigned char * | ptr | ) |

inlinestaticprivatenoexcept

## after_null() [2/2]

unsigned char * osmium::Tag::after_null | ( | unsigned char * | ptr | ) |

inlinestaticprivatenoexcept

## key()

const char * osmium::Tag::key | ( |  | ) | const

inlinenoexcept

Get a pointer to the C string containing the tag key.

Complexity: Constant.

## next() [1/2]

const unsigned char * osmium::Tag::next | ( |  | ) | const

inlineprivatenoexcept

## next() [2/2]

unsigned char * osmium::Tag::next | ( |  | ) |

inlineprivatenoexcept

## operator=() [1/2]

Tag & osmium::Tag::operator= | ( | const Tag & |  | ) |

delete

## operator=() [2/2]

Tag & osmium::Tag::operator= | ( | Tag && |  | ) |

delete

## value()

const char * osmium::Tag::value | ( |  | ) | const

inlinenoexcept

Get a pointer to the C string containing the tag value.

Complexity: Linear on the number of characters in the key!

## Friends And Related Symbol Documentation

## osmium::memory::CollectionIterator

template<typename TMember>

friend class osmium::memory::CollectionIterator

friend

## Member Data Documentation

## collection_type

item_type osmium::Tag::collection_type = item_type::tag_list

staticconstexpr

The documentation for this class was generated from the following file:

- include/osmium/osm/tag.hpp